#include <hidef.h>				// for DisableInterrupts macro
#include "derivative.h"			// include peripheral declarations
#include "LIB_ICS.h"				// clock functions


#define ToggleLED1	PTHD_PTHD5 ^=1
#define ToggleLED2	PTHD_PTHD4 ^=1
#define ToggleLED3	PTID_PTID5 ^=1
#define ToggleLED4	PTID_PTID4 ^=1
#define ToggleLED5	PTID_PTID3 ^=1
#define ToggleLED6	PTFD_PTFD5 ^=1
#define ToggleLED7	PTFD_PTFD4 ^=1

void wait(void){
	dword n;
	for(n=0; n<0x500; n++);		// wait

}
void main(void) {

	
	SOPT1 &= 0x7F;					// disable COP, RSTPE, BKGPE
	DisableInterrupts;			// disable interrupts
	
	ICS_FEE_32K_8M();				// set 8MHz bus clk
	
	PTCDD = 0x40;					// PTC6 output
	PTCD = 0x40;					// PTC6 high
	
	PTFD = 0x38;
	PTFDD = 0x38;
	PTHD = 0x30;
	PTHDD = 0x30;
	PTID = 0x38;					// PTF[5:3] high
	PTIDD = 0x38;					// PTD[5:3] output
	
	
	
	for(;;){
	
		ToggleLED1;
		ToggleLED2;
		wait();
		ToggleLED3;
		wait();
		ToggleLED4;
		wait();
		ToggleLED5;
		wait();
		ToggleLED6;
		wait();
		ToggleLED7;
		wait();
	}

}
