#include "derivative.h"			// include peripheral declarations
#include "LIB_ICS.h"

/**
 * SPI_Init: This function sets up the SCI baud rate and mode.
 *
 * Parameters:      none
 *
 * Subfunctions:    none.
 *
 * Return:          void
 */ 

void ICS_FEI_8M(void) 
{

//  if (NVICSTRM != 0xFF) {
//    ICSTRM = NVICSTRM;
//  }
  
  ICSC1 = CLKS_FLL_PLL | INT_REF;
  while (!ICSSC_IREFST){
  }/* wait for Reference Status bit to update */
  
  /* Wait for clock status bits to update */
  while (ICSSC_CLKST != 0x0){
  }
  
  ICSC2_BDIV  = 0;	
}

void ICS_FEE_4M_8M(void) 
{
  ICSC2 = FRE_RANGE_HIGH | CONFIG_LOW_POWER | EXT_CLK;
  
  ICSC1 = CLKS_FLL_PLL | EXT_REF | (2 << 3);
  
  while (ICSSC_IREFST){
  }/* wait for Reference Status bit to update */
  
  /* Wait for clock status bits to update */
  while (ICSSC_CLKST != 0){
  }
    	
  ICSC2_BDIV  = 0;	
}

void ICS_FEE_32K_8M(void) {
	// FLL engaged, 32.768 kHz external XTAL, 8.388M BUSCLK
	
	ICSC2 = ICSC2_EREFS_MASK | ICSC2_ERCLKEN_MASK;	// sel external oscillator input

	while(!ICSSC_OSCINIT);		// wait for ext OSC to start
	
	ICSC1_CLKS = 0;				// FLL output selected
	ICSC1_RDIV = 0;				//	ext osc input div 1 
	ICSC1_IREFS = 0;				// select ext ref to FLL
}
	









